function StepCommon()
{
  var ChangeCurrentDivCss   = function(that) {StepCommon.prototype._ChangeCurrentDivCss_(that);};
  var ClearAllDivCss        = function(DivId){StepCommon.prototype._ClearAllDivCss_(DivId);};
  this.ChangeDivCss         = function(that, DivId){StepCommon.prototype._ChangeDivCss_(that, DivId);};
}
function MenuCommon()
{
  this.RestorePageSize       = function(that) {MenuCommon.prototype._RestorePageSize_(that);};
  this.ChangeMouseoutDivCss  = function(that) {MenuCommon.prototype._ChangeMouseoutDivCss_(that);};
  this.ChangeMouseoverDivCss = function(that) {MenuCommon.prototype._ChangeMouseoverDivCss_(that);};
  this.ChangeCurrentDivCss   = function(that) {MenuCommon.prototype._ChangeCurrentDivCss_(that);};
  this.ClearAllDivCss        = function(DivId){MenuCommon.prototype._ClearAllDivCss_(DivId);};
  this.ChangeDivCss          = function(that, DivId){MenuCommon.prototype._ChangeDivCss_(that, DivId);};
  this.LoadLeftListHtml      = function(DivId, HtmlPath, Async){MenuCommon.prototype._LoadLeftListHtml_(DivId, HtmlPath, Async);};
  this.LoadContentHtml       = function(DivId, HtmlPath, Async){MenuCommon.prototype._LoadContentHtml_(DivId, HtmlPath, Async);};
  this.LoadHtml              = function(DivId, Html){MenuCommon.prototype._LoadHtml_(DivId, Html);};
}
function ListCommon()
{
  this.ChangeMouseoutDivCss  = function(that) {ListCommon.prototype._ChangeMouseoutDivCss_(that);};
  this.ChangeMouseoverDivCss = function(that) {ListCommon.prototype._ChangeMouseoverDivCss_(that);}
  this.ChangeCurrentDivCss   = function(that) {ListCommon.prototype._ChangeCurrentDivCss_(that);};
  this.ClearAllDivCss        = function(DivId){ListCommon.prototype._ClearAllDivCss_(DivId);};
  this.ChangeDivCss          = function(that, DivId){ListCommon.prototype._ChangeDivCss_(that, DivId);};
  this.SaveMasterRtuModule   = function(){ListCommon.prototype._SaveMasterRtuModule_();};
  this.SaveMasterTcpModule   = function(){ListCommon.prototype._SaveMasterTcpModule_();};
  this.SaveMasterAsciiModule = function(){ListCommon.prototype._SaveMasterAsciiModule_();};
  this.SaveMqttModule        = function(){ListCommon.prototype._SaveMqttModule_();};
  this.SaveRemoteBroker      = function(){ListCommon.prototype._SaveRemoteBroker_();};
  this.SaveMqttJsonConnection= function(){ListCommon.prototype._SaveMqttJsonConnection_();};
}
function PathCommon()
{
  this.ChangeMouseoutDivCss  = function(that) {PathCommon.prototype._ChangeMouseoutDivCss_(that);};
  this.ChangeMouseoverDivCss = function(that) {PathCommon.prototype._ChangeMouseoverDivCss_(that);}
}

function LoadHtml()
{
  this.TranslateHtml              = function(Html)    {return LoadHtml.prototype._TranslateHtml_(Html);};
  this.ReadHtml                   = function(HtmlPath, Input){return LoadHtml.prototype._ReadHtml_(HtmlPath, Input);};
  this.ReadTranslateAfterOfHtml   = function(HtmlPath, Input){return LoadHtml.prototype._ReadTranslateAfterOfHtml_(HtmlPath, Input);};
  this.GetVariableTranslationHtml = function(VariableHtml){return LoadHtml.prototype._GetVariableTranslationHtml_(VariableHtml);};
}

function LoadFile()
{
	this.ReadFile = function(FilePath, NewType, Input){return LoadFile.prototype._ReadFile_(FilePath, NewType, Input);};
	this.ReadXmlObject = function(FilePath, NewType, Input){return LoadFile.prototype._ReadXmlObject_(FilePath, NewType, Input);};
	this.ReadTranslateAfterOfFileJson = function(FilePath, NewType){return LoadFile.prototype._ReadTranslateAfterOfFileJson_(FilePath, NewType);};
	this.GetWebAllLink = function(){return LoadFile.prototype._GetWebAllLink_();};

	this.LoadHandmadeCss = function(){return LoadFile.prototype._LoadHandmadeCss_();};
	this.LoadGlobalVariable = function(){return LoadFile.prototype._LoadGlobalVariable_();};
	this.LoadHeadJs = function(){return LoadFile.prototype._LoadHeadJs_();};
	this.LoadJppJs = function(){return LoadFile.prototype._LoadJppJs_();};
	this.LoadMainJs = function(){return LoadFile.prototype._LoadMainJs_();};

	this.LoadJavascript = function(LinkArray, Result){return LoadFile.prototype._LoadJavascript_(LinkArray, Result);};
	this.LoadCss = function(LinkArray){return LoadFile.prototype._LoadCss_(LinkArray);};
}

function Type()
{
	this.EnglishDigital = function(string){return Type.prototype._EnglishDigital_(string);};
	this.EnglishDigitalAndBottomline = function(string){return Type.prototype._EnglishDigitalAndBottomline_(string);};	
	this.CheckIp = function(IP){return Type.prototype._CheckIp_(IP);};
	this.CheckDomainIp = function(IP){return Type.prototype._CheckDomainIp_(IP);};
	this.CheckPositiveIntegersAndZero = function(number){return Type.prototype._CheckPositiveIntegersAndZero_(number);};
	this.CheckPositiveIntegers = function(number){return Type.prototype._CheckPositiveIntegers_(number);};
	this.CheckFloat = function(string){return Type.prototype._CheckFloat_(string);};
	this.CheckChineseLanguage = function(string){return Type.prototype._CheckChineseLanguage_(string);};
	this.CheckSpecialSymbols = function(string){return Type.prototype._CheckSpecialSymbols_(string);};//允許 _
	this.CheckSpecialSymbols_ExcludeBottomLineBrackets = function(string){return Type.prototype._CheckSpecialSymbols_ExcludeBottomLineBrackets_(string);};//允許 _
	this.CheckMqttTopic = function(string){return Type.prototype._CheckMqttTopic_(string);};//不能有 '#' '+'
	this.CheckModbusDataModelMaxQuantity = function(DataType, Quantity){return Type.prototype._CheckModbusDataModelMaxQuantity_(DataType, Quantity);};
	this.CheckMqttDataModelMaxQuantity = function(Quantity){return Type.prototype._CheckMqttDataModelMaxQuantity_(Quantity);};
}

function Dialog()
{
	this.CommonEnabled  = function(){Dialog.prototype._CommonEnabled_();};
	this.CommonDisabled = function(){Dialog.prototype._CommonDisabled_();};
}
//取值
function GetValue()
{
	this.GetRuntimeVariableName = function(ModuleType, ModuleIndex, VariableIndex){return GetValue.prototype._GetRuntimeVariableName_(ModuleType, ModuleIndex, VariableIndex);};
	this.GetRuntimeScalingVariableName = function(ModuleType, ModuleIndex, VariableIndex){return GetValue.prototype._GetRuntimeScalingVariableName_(ModuleType, ModuleIndex, VariableIndex);};
	this.GetRuntimeBitwiseVariableName = function(BitwiseTag, ModuleType, ModuleIndex, SystemVariable){return GetValue.prototype._GetRuntimeBitwiseVariableName_(BitwiseTag, ModuleType, ModuleIndex, SystemVariable);};
	this.GetModuleAllDeviceName = function(GlobalModule){return GetValue.prototype._GetModuleAllDeviceName_(GlobalModule);};
	this.GetModuleDeviceName = function(GlobalModule, ModuleNumber){return GetValue.prototype._GetModuleDeviceName_(GlobalModule, ModuleNumber);};
	this.GetModuleAllNumber = function(GlobalModule){return GetValue.prototype._GetModuleAllNumber_(GlobalModule);};
	this.GetModuleName = function(GlobalModule, ModuleNumber){return GetValue.prototype._GetModuleName_(GlobalModule, ModuleNumber);};
	this.GetModuleVariableAttribute = function(Attribute, Type){return GetValue.prototype._GetModuleVariableAttribute_(Attribute, Type);};
	this.GetModuleVariableReadWrite = function(Attribute){return GetValue.prototype._GetModuleVariableReadWrite_(Attribute);};
	this.GetModuleVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModuleVariableName_(GlobalVariable, ModuleNumber, VariableIndex);};
	this.GetModulePidScalingVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModulePidScalingVariableName_(GlobalVariable, ModuleNumber, VariableIndex);};

	this.GetModuleScalingVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModuleScalingVariableName_(GlobalVariable, ModuleNumber, VariableIndex);};
	this.GetModulePidScalingVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModulePidScalingVariableName_(GlobalVariable, ModuleNumber, VariableIndex);};

	this.GetModuleScalingVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModuleScalingVariableName_(GlobalVariable, ModuleNumber, VariableIndex);};
	var GetBitwiseVariableFromGlobal = function(GlobalVariable, BitwiseTag){return GetValue.prototype._GetBitwiseVariableFromGlobal_(GlobalVariable, BitwiseTag);};
	this.GetModuleBitwiseVariableName = function(GlobalVariable, BitwiseTag, ModuleIndex, VariableIndex){return GetValue.prototype._GetModuleBitwiseVariableName_(GlobalVariable, BitwiseTag, ModuleIndex, VariableIndex);};
	this.GetModuleVariableIndex = function(GlobalVariable, ModuleNumber, PrefixVariableIndex, VariableName){return GetValue.prototype._GetModuleVariableIndex_(GlobalVariable, ModuleNumber, PrefixVariableIndex, VariableName);};
	this.GetModuleAllVariableIndex = function(ModuleType, ModuleNumber){return GetValue.prototype._GetModuleAllVariableIndex_(ModuleType, ModuleNumber);};
	this.GetModuleVariableNameArray = function(GlobalVariable, ModuleNumber, VariableIndex){return GetValue.prototype._GetModuleVariableNameArray_(GlobalVariable, ModuleNumber, VariableIndex);};
	this.GetModuleAllVariableName = function(ModuleType, ModuleNumber, VariableIndexArray){return GetValue.prototype._GetModuleAllVariableName_(ModuleType, ModuleNumber, VariableIndexArray);};
	//
	this.GetGlobalModule = function(ModuleType){return GetValue.prototype._GetGlobalModule_(ModuleType);};
	this.GetGlobalVariable = function(ModuleType){return GetValue.prototype._GetGlobalVariable_(ModuleType);};
	//陣列
	this.GetArrayComplement = function(FirstArray, SecondArray){return GetValue.prototype._GetArrayComplement_(FirstArray, SecondArray);};
	this.GetArrayInteraction = function(FirstArray, SecondArray){return GetValue.prototype._GetArrayInteraction_(FirstArray, SecondArray);};
	//Callback JSON
	this.ComPortCallback=function(ssocket, Callback){return GetValue.prototype._ComPortCallback_(ssocket, Callback);};
	this.RtuModuleCallback=function(ssocket, Callback){return GetValue.prototype._RtuModuleCallback_(ssocket, Callback);};
	this.TcpModuleCallback=function(ssocket, Callback){return GetValue.prototype._TcpModuleCallback_(ssocket, Callback);};
	this.AsciiModuleCallback=function(ssocket, Callback){return GetValue.prototype._AsciiModuleCallback_(ssocket, Callback);};
	this.MqttModuleCallback=function(ssocket, Callback){return GetValue.prototype._MqttModuleCallback_(ssocket, Callback);};
	this.AllModuleToOpcuaCallback=function(ssocket, Callback){return GetValue.prototype._AllModuleToOpcuaCallback_(ssocket, Callback);};
	this.PidOperationCallback=function(ssocket, Callback){return GetValue.prototype._PidOperationCallback_(ssocket, Callback);};
	this.IftttConditionTriggerCallback=function(ssocket, Callback){return GetValue.prototype._IftttConditionTriggerCallback_(ssocket, Callback);};
	this.TcpToMsSqlVariableCallback=function(ssocket, Callback){return GetValue.prototype._TcpToMsSqlVariableCallback_(ssocket, Callback);};
	this.RtuToMsSqlVariableCallback=function(ssocket, Callback){return GetValue.prototype._RtuToMsSqlVariableCallback_(ssocket, Callback);};
	//Callback XML
	this.VariableTableXmlCallback=function(ssocket, Callback){return GetValue.prototype._VariableTableXmlCallback_(ssocket, Callback);};
	this.ModbusDriCallback=function(ssocket, Callback){return GetValue.prototype._ModbusDriCallback_(ssocket, Callback);}
	this.UAServerDataXmlCallback=function(ssocket, Callback){return GetValue.prototype._UAServerDataXmlCallback_(ssocket, Callback);}
	this.PidDriverDriCallback=function(ssocket, Callback){return GetValue.prototype._PidDriverDriCallback_(ssocket, Callback);}
	this.MethodTableXmlCallback=function(ssocket, Callback){return GetValue.prototype._MethodTableXmlCallback_(ssocket, Callback);}
	this.MqttServiceXmlCallback=function(ssocket, Callback){return GetValue.prototype._MqttServiceXmlCallback_(ssocket, Callback);}
	this.MqttDriCallback=function(ssocket, Callback){return GetValue.prototype._MqttDriCallback_(ssocket, Callback);}
	this.CgiUrl=function(){return GetValue.prototype._CgiUrl_();}
	this.SocketIo=function(){return GetValue.prototype._SocketIo_();}
}
//判斷
function Judgment()
{
	this.IsSaveEipMasterModuleGlobalVariable = function(){return Judgment.prototype._IsSaveEipMasterModuleGlobalVariable_();};
	
	this.IsSaveRtuMasterModuleGlobalVariable = function(){return Judgment.prototype._IsSaveRtuMasterModuleGlobalVariable_();};
	this.IsSaveTcpMasterModuleGlobalVariable = function(){return Judgment.prototype._IsSaveTcpMasterModuleGlobalVariable_();};
	this.IsSaveAsciiMasterModuleGlobalVariable = function(){return Judgment.prototype._IsSaveAsciiMasterModuleGlobalVariable_();};
	this.IsSaveMqttModuleGlobalVariable = function(){return Judgment.prototype._IsSaveMqttModuleGlobalVariable_();};
	this.IsSaveRemoteBrokerGlobalVariable = function(){return Judgment.prototype._IsSaveRemoteBrokerGlobalVariable_();};
	this.IsSaveLocalBrokerGlobalVariable = function(){return Judgment.prototype._IsSaveLocalBrokerGlobalVariable_();};
	this.IsSaveOpcUaLocalServerGlobalVariable = function(){return Judgment.prototype._IsSaveOpcUaLocalServerGlobalVariable_();};
}
//傳送
function Transmission()
{
	this.TransmissionArray = function(Command, array, Result){Transmission.prototype._TransmissionArray_(Command, array, Result);};
	this.TransmissionString = function(Command, string, Result){Transmission.prototype._TransmissionString_(Command, string, Result);};
	this.TransmissionJson = function(ssocket, Command, string, Callback){Transmission.prototype._TransmissionJson_(ssocket, Command, string, Callback);};
	this.SaveOpcUaLocalServer = function(){Transmission.prototype._SaveOpcUaLocalServer_();};
	this.SaveLocalBrokerSetting = function(){Transmission.prototype._SaveLocalBrokerSetting_();};
	this.SaveRemoteBrokerSetting = function(){Transmission.prototype._SaveRemoteBrokerSetting_();};
}
//清除服務
function ClearService()
{
	this.DeleteModuleClearService = function(ModuleType, ModuleIndex, VariableIndex){ClearService.prototype._DeleteModuleClearService_(ModuleType, ModuleIndex, VariableIndex);};
	this.ClearPidOperation = function(ModuleType, ModuleIndex, VariableIndex){ClearService.prototype._ClearPidOperation_(ModuleType, ModuleIndex, VariableIndex);};
	this.ClearIftttConditionTrigger = function(ModuleType, ModuleIndex, VariableIndex){ClearService.prototype._ClearIftttConditionTrigger_(ModuleType, ModuleIndex, VariableIndex);};
}
//同步服務
function SynchronizeService()
{
	this.ChangeVariableSynchronizationService = function(ModuleType, OldObject, NewObject, number){SynchronizeService.prototype._ChangeVariableSynchronizationService_(ModuleType, OldObject, NewObject, number);};
	var SynchronizePidOperation = function(ModuleType, OldObject, NewObject, number){SynchronizeService.prototype._SynchronizePidOperation_(ModuleType, OldObject, NewObject, number);};
	var SynchronizeIftttConditionTrigger  = function(ModuleType, OldObject, NewObject, number){SynchronizeService.prototype._SynchronizeIftttConditionTrigger_(ModuleType, OldObject, NewObject, number);};
}
//演算
function Algorithm()
{
	this.StringNumberMixedSort = function(){return Algorithm.prototype._StringNumberMixedSort_();};
}
//CGI
function Cgi()
{
	this.Ajax = function(Url, Type, Async, Cache, Input){return Cgi.prototype._Ajax_(Url, Type, Async, Cache, Input);};
	this.RestApi = function(RestApi, ParameterArray, Async, Input){return Cgi.prototype._RestApi_(RestApi, ParameterArray, Async, Input);};
	this.Dbus = function(RestApi, ParameterArray, Async, Input){return Cgi.prototype._Dbus_(RestApi, ParameterArray, Async, Input);};
	this.LoginStatus = function(LoginStatus, Async){return Cgi.prototype._LoginStatus_(LoginStatus, Async);};
	this.TransferJsonString = function(RestApi, JsonString){return Cgi.prototype._TransferJsonString_(RestApi, JsonString);};
}
//封裝
function Communication()
{
	this.PacketEncryption = function(Packet, Key){return Communication.prototype._PacketEncryption_(Packet, Key);};
	this.PacketDecryption = function(Packet, Key){return Communication.prototype._PacketDecryption_(Packet, Key);};
}

















function JsonTransformXml()
{
	var EipSortTaskId = function(object){return JsonTransformXml.prototype._EipSortTaskId_(object);};
	var EIPTaskAssemblyDataSetting = function(object, index){return JsonTransformXml.prototype._EIPTaskAssemblyDataSetting_(object, index);};
	var EIPTaskSetting = function(object, index){return JsonTransformXml.prototype._EIPTaskSetting_(object, ComPort, index);};
	var EIPItemData = function(object, ChannelTick, index){return JsonTransformXml.prototype._EIPItemData_(object, ChannelTick, index);};
	var GetIOPropertyIndex = function(string){return JsonTransformXml.prototype._Get_IO_PropertyIndex_(string);};
	
	var GetInputOffset = function(moduleId, I_O_Property, channel){return JsonTransformXml.prototype._GetInputOffset_(moduleId, I_O_Property, channel);};
	var GetOutputOffset = function(moduleId, I_O_Property, channel){return JsonTransformXml.prototype._GetOutputOffset_(moduleId, I_O_Property, channel);};
	
	this.ICPDASEIPDri = function(){return JsonTransformXml.prototype._ICPDASEIPDri_();};
	
	var GetEipMqttMappingData = function(PrefixWord, ModuleIndex, MqttVariable, Variable, Module, MQTTServiceTask){return JsonTransformXml.prototype._GetEipMqttMappingData_(PrefixWord, ModuleIndex, MqttVariable, Variable, Module, MQTTServiceTask);};
	//MethodTable.xml
	this.TransformMethodTableXml = function(){return JsonTransformXml.prototype._TransformMethodTableXml_();};
	//PIDDriver.dri
	this.TransformPidDriverDri = function(){return JsonTransformXml.prototype._TransformPidDriverDri_();};
	//MQTTService.xml
		// MQTT Custom
	var GetMqttCustomServiceTaskArray = function(){return JsonTransformXml.prototype._GetMqttCustomServiceTaskArray_();};
	var CreateMqttServiceTaskJsonArray = function(object){return JsonTransformXml.prototype._CreateMqttServiceTaskJsonArray_(object);};
	var LinkMqttCustomVariable = function(object){JsonTransformXml.prototype._LinkMqttCustomVariable_(object);};

	  //MQTT JSON
	var GetMqttServiceTaskJsonArray = function(){return JsonTransformXml.prototype._GetMqttServiceTaskJsonArray_();};
	var CreateMqttServiceTaskJsonArray = function(object){return JsonTransformXml.prototype._CreateMqttServiceTaskJsonArray_(object);};
	var InitialVariablePropertyDataType = function(object){JsonTransformXml.prototype._InitialVariablePropertyDataType_(object);};
	var LinkRtuVariable = function(object){JsonTransformXml.prototype._LinkRtuVariable_(object);};
	var LinkTcpVariable = function(object){JsonTransformXml.prototype._LinkTcpVariable_(object);};
	var LinkAsciiVariable = function(object){JsonTransformXml.prototype._LinkAsciiVariable_(object);};
	var SetMqttJsonGroupClient = function(object, MqttJsonGroup){JsonTransformXml.prototype._SetMqttJsonGroupClient_(object, MqttJsonGroup);};
	var SetMqttJsonGroupLocalBroker = function(object, LocalBroker){JsonTransformXml.prototype._SetMqttJsonGroupLocalBroker_(object, LocalBroker);};
	var SetMqttJsonGroupRemoteBroker = function(object, RemoteBroker){JsonTransformXml.prototype._SetMqttJsonGroupRemoteBroker_(object, RemoteBroker);};
	var GetMqttJsonGroupData = function(object){JsonTransformXml.prototype._GetMqttJsonGroupData_(object);};
	var GetAzurePlatformData = function(object){JsonTransformXml.prototype._GetAzurePlatformData_(object);};
	var GetRemoteBroker = function(){return JsonTransformXml.prototype._GetRemoteBroker_();};
	var GetAzureBrokerTest = function(){return JsonTransformXml.prototype._GetAzureBroker_();};
	  //MQTT
	var ArrangeConnection = function(Index, ObjArray, ToMqttSetting){JsonTransformXml.prototype._ArrangeConnection_(Index, ObjArray, ToMqttSetting);};
	var RemoveDuplicateConnection = function(ObjArray){JsonTransformXml.prototype._RemoveDuplicateConnection_(ObjArray);};
	var RemoveUnusedConnection = function(obj){JsonTransformXml.prototype._RemoveUnusedConnection_(obj);};
	var InitializeModuleIndex = function(ObjectArray){JsonTransformXml.prototype._InitializeModuleIndex_(ObjectArray);};
	var RecordModuleIndex = function(ObjArray, ObjectArray, Index, ToMqttSetting, PrefixWord){JsonTransformXml.prototype._RecordModuleIndex_(ObjArray, ObjectArray, Index, ToMqttSetting, PrefixWord);};
	var ArrangeMqttServices = function(Protocol){return JsonTransformXml.prototype._ArrangeMqttServices_(Protocol);};
	var GetMqttConnectionData = function(ObjectArray, MQTTServiceTask, LocalBroker, RemoteBroker){return JsonTransformXml.prototype._GetMqttConnectionData_(ObjectArray, MQTTServiceTask, LocalBroker, RemoteBroker);};
	var GetLocalBrokerData = function(){return JsonTransformXml.prototype._GetLocalBrokerData_();};
	var GetMqttMappingData = function(PrefixWord, ModuleIndex, MqttVariable, Variable, Module, MQTTServiceTask){return JsonTransformXml.prototype._GetMqttMappingData_(PrefixWord, ModuleIndex, MqttVariable, Variable, Module, MQTTServiceTask);};
	var GetMqttMappingObject = function(ObjectArray, MQTTServiceTask){return JsonTransformXml.prototype._GetMqttMappingObject_(ObjectArray, MQTTServiceTask);};
	var GetMqttServiceTaskObject = function(){return JsonTransformXml.prototype._GetMqttServiceTaskObject_();};
	var InitializeTaskId = function(MQTTService){return JsonTransformXml.prototype._InitializeTaskId_(MQTTService);};
	var GetMqttServiceTransformObject = function(){return JsonTransformXml.prototype._GetMqttServiceTransformObject_();};
	this.TransformMqttServiceXml = function(){return JsonTransformXml.prototype._TransformMqttServiceXml_();};
	//UAServerConfig.xml
	this.TransformUAServerConfigXml = function(){return JsonTransformXml.prototype._TransformUAServerConfigXml_();};
	//UAServerData.xml
	var GetUAServerDataXmlTransformObject = function(){return JsonTransformXml.prototype._GetUAServerDataXmlTransformObject_();};
	var GetBaseVariableData = function(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable){return JsonTransformXml.prototype._GetBaseVariableData_(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable);};
	// -- Bitwise For UAServerData.xml
	var CheckBitwiseGlobalVariableExist=function(GlobalVariable, SystemVariable, VariableName){return JsonTransformXml.prototype._CheckBitwiseGlobalVariableExist_(GlobalVariable, SystemVariable, VariableName);};
	var BitwiseVariablePretreatment=function(number, Variable, ToOpcuaVariable){return JsonTransformXml.prototype._BitwiseVariablePretreatment_(number, Variable, ToOpcuaVariable);};
	var GetBitwiseVariableData = function(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable){return JsonTransformXml.prototype._GetBitwiseVariableData_(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable);};
	var GetBitwiseVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetBitwiseVariable_(ModuleType, Obj);};
	var GetBitwiseToOpcuaVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetBitwiseToOpcuaVariable_(ModuleType, Obj);};
	var GetBitwise_Objectdata = function(ModuleType, Obj, number, ModuleName){return JsonTransformXml.prototype._GetBitwise_Objectdata_(ModuleType, Obj, number, ModuleName);};
	// -- Scaling For UAServerData.xml
	var GetScalingVariableData = function(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable){return JsonTransformXml.prototype._GetScalingVariableData_(ModuleType, Variable, SystemVariable, number, ModuleName, ToOpcuaVariable);};
	var GetScalingVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetScalingVariable_(ModuleType, Obj);};
	var GetScalingToOpcuaVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetScalingToOpcuaVariable_(ModuleType, Obj);};
	var GetScaling_Objectdata = function(ModuleType, Obj, number, ModuleName){return JsonTransformXml.prototype._GetScaling_Objectdata_(ModuleType, Obj, number, ModuleName);};
	var GetPidScaling_Objectdata = function(ModuleType, Obj, number, ModuleName){return JsonTransformXml.prototype._GetPidScaling_Objectdata_(ModuleType, Obj, number, ModuleName);};

	// PidScaling
	
	
	var GetUA_MethodData=function(PidName){return JsonTransformXml.prototype._GetUA_MethodData_(PidName);};
	var GetAnalogItemData=function(ModuleVariableIndex, PidNumber, PidOperationVariable){return JsonTransformXml.prototype._GetAnalogItemData_(ModuleVariableIndex, PidNumber, PidOperationVariable);};

	var GetPidOperationBaseVariableData = function(Module, ModuleVariableIndex, PidName){return JsonTransformXml.prototype._GetPidOperationBaseVariableData_(Module, ModuleVariableIndex, PidName);};
	
	var GetVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetVariable_(ModuleType, Obj);};
	var GetToOpcuaVariable = function(ModuleType, Obj){return JsonTransformXml.prototype._GetToOpcuaVariable_(ModuleType, Obj);};
	var GetModule = function(ModuleType, Obj){return JsonTransformXml.prototype._GetModule_(ModuleType, Obj);};
	var GetUA_Objectdata = function(ModuleType, Obj){return JsonTransformXml.prototype._GetUA_Objectdata_(ModuleType, Obj);};
	
	var GetPidUA_Objectdata = function(ModuleType, Module, Variable, ToOpcuaVariable){return JsonTransformXml.prototype._GetPidUA_Objectdata_(ModuleType, Module, Variable, ToOpcuaVariable);};

	var GetUA_ServiceData = function(UA_Objectdata){return JsonTransformXml.prototype._GetUA_ServiceData_(UA_Objectdata);};
	this.TransformUAServerDataXml = function(){return JsonTransformXml.prototype._TransformUAServerDataXml_();};
	//Modbus.dri
	var SortTaskId = function(object){return JsonTransformXml.prototype._SortTaskId_(object);};
	var GetModbusDriTransformObject = function(Protocol){return JsonTransformXml.prototype._GetModbusDriTransformObject_(Protocol);};
	var GetModbusRtuTask = function(Module, Variable, Setting){return JsonTransformXml.prototype._GetModbusRtuTask_(Module, Variable, Setting);};
	var GetModbusAsciiTask = function(Module, Variable, Setting){return JsonTransformXml.prototype._GetModbusAsciiTask_(Module, Variable, Setting);};
	var GetModbusTcpTask = function(Module, Variable, Setting){return JsonTransformXml.prototype._GetModbusTcpTask_(Module, Variable, Setting);};
	var GetModbusComPortTask = function(ModuleType, MbGroupArray, ComPort){return JsonTransformXml.prototype._GetModbusComPortTask_(ModuleType, MbGroupArray, ComPort);};
	var GetModbusLanTask = function(ModuleType, Setting, MbGroupArray, NeedNumber){return JsonTransformXml.prototype._GetModbusLanTask_(ModuleType, Setting, MbGroupArray, NeedNumber);};
	var GetMbGroup = function(NeedNumber, Setting, Variable){return JsonTransformXml.prototype._GetMbGroup_(NeedNumber, Setting, Variable);};
	var GetMbItem  = function(GroupNumber, Variable, NeedNumber){return JsonTransformXml.prototype._GetMbItem_(GroupNumber, Variable, NeedNumber);};
	var GetTheVariableGroupNumberInTheSingleModule = function(){return JsonTransformXml.prototype._GetTheVariableGroupNumberInTheSingleModule_();};
	var GetThereAreVariablesInTheModuleIndex = function(){return JsonTransformXml.prototype._GetThereAreVariablesInTheModuleIndex_();};
	var GetRetryCount = function(Container, Setting){return JsonTransformXml.prototype._GetRetryCount_(Container, Setting);};
	this.TransformModbusDri = function(){return JsonTransformXml.prototype._TransformModbusDri_();};
	//MQTT.dri
	this.TransformMqttDri = function(){return JsonTransformXml.prototype._TransformMqttDri_();};
	var GetMqttPreliminaryData = function(ModuleIndexArray, SettingObject){return JsonTransformXml.prototype._GetMqttPreliminaryData_(ModuleIndexArray, SettingObject);};
	var GetMqttDetailData = function(PreliminaryData, VariableObject){return JsonTransformXml.prototype._GetMqttDetailData_(PreliminaryData, VariableObject);};	
	var GetMqttModuleJsonObject = function(Protocol){return JsonTransformXml.prototype._GetMqttModuleJsonObject_(Protocol);};
	var GetMqttTask = function(Module, Variable, Setting){return JsonTransformXml.prototype._GetMqttTask_(Module, Variable, Setting);};
	//VariableXml
	var GetEipVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetEipVariableXmlItem_(ModuleType, Module, Variable);};

	var GetRegisterVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetRegisterVariableXmlItem_(ModuleType, Module, Variable);};
	var CombinationData = function(){return JsonTransformXml.prototype._CombinationData_();};
	var RegisterCombinationData = function(){return JsonTransformXml.prototype._RegisterCombinationData_();};
	var CollectVariableInformation = function(Variable, number){return JsonTransformXml.prototype._CollectVariableInformation_(Variable, number);};
	var CollectModuleName = function(Module, ComPort, number){return JsonTransformXml.prototype._CollectModuleName_(Module, ComPort, number);};
	var GetVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetVariableXmlItem_(ModuleType, Module, Variable);};
	var GetVirtualVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetVirtualVariableXmlItem_(ModuleType, Module, Variable);};
	this.TransformVariableXml = function(){return JsonTransformXml.prototype._TransformVariableXml_();};
	//ScaleVariableTableXml
	var CombinationScaleVariableData = function(){return JsonTransformXml.prototype._CombinationScaleVariableData_();};
	var CollectScaleVariableInformation = function(Variable, number){return JsonTransformXml.prototype._CollectScaleVariableInformation_(Variable, number);};
	var GetScaleVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetScaleVariableXmlItem_(ModuleType, Module, Variable);};
	this.TransformScaleVariableTableXml = function(){return JsonTransformXml.prototype._TransformScaleVariableTableXml_();};
	//BitwiseVariableTableXml
	var CombinationBitwiseVariableData = function(){return JsonTransformXml.prototype._CombinationBitwiseVariableData_();};
	var CollectBitNameTagInformation = function(Information, Variable){JsonTransformXml.prototype._CollectBitNameTagInformation_(Information, Variable);};
	var CollectBitwiseVariableInformation = function(Variable, number){return JsonTransformXml.prototype._CollectBitwiseVariableInformation_(Variable, number);};
	var GetBitwiseVariableXmlItem = function(ModuleType, Module, Variable){return JsonTransformXml.prototype._GetBitwiseVariableXmlItem_(ModuleType, Module, Variable);};
	this.TransformBitwiseVariableTableXml = function(){return JsonTransformXml.prototype._TransformBitwiseVariableTableXml_();};

	var GetModuleName = function(Module, number){return JsonTransformXml.prototype._GetModuleName_(Module, number);};
	var GetGlobalModule = function(ModuleType){return JsonTransformXml.prototype._GetGlobalModule_(ModuleType);};
	var GetGlobalVariable = function(ModuleType){return JsonTransformXml.prototype._GetGlobalVariable_(ModuleType);};

	var GetModbusAddressInterval = function(DataTypeNumber){return JsonTransformXml.prototype._GetModbusAddressInterval_(DataTypeNumber);};
	var GetInputOutputData = function(string){return JsonTransformXml.prototype._GetInputOutputData_(string);};
	var GetModbusParity = function(string){return JsonTransformXml.prototype._GetModbusParity_(string);};
	var GetModbusProtocolType = function(string){return JsonTransformXml.prototype._GetModbusProtocolType_(string);};
	var GetSwap = function(bool){return JsonTransformXml.prototype._GetSwap_(bool);};
	var GetDataModel = function(string){return JsonTransformXml.prototype._GetDataModel_(string);};
	var GetReadWriteType = function(string){return JsonTransformXml.prototype._GetReadWriteType_(string);};
	var GetDataType = function(string){return JsonTransformXml.prototype._GetDataType_(string);};
	var GetClientVariablePrefixWords = function(ModuleType, string){return JsonTransformXml.prototype._GetClientVariablePrefixWords_(ModuleType, string);};
	var GetProperty = function(Attribute){return JsonTransformXml.prototype._GetProperty_(Attribute);};
	var GetRetainNumber = function(Retain){return JsonTransformXml.prototype._GetRetainNumber_(Retain);};
	var GetSecureNumber = function(SecureBool){return JsonTransformXml.prototype._GetSecureNumber_(SecureBool);};
	
	var GetPidAutoTune = function(Bool){return JsonTransformXml.prototype._GetPidAutoTune_(Bool);};
	var GetPidControllerMode = function(ControllerMode){return JsonTransformXml.prototype._GetPidControllerMode_(ControllerMode);};
	
	var GetPidModuleVariabName = function(InputModuleVariableIndex){return JsonTransformXml.prototype._GetPidModuleVariabName_(ModuleVariableIndex);};
}